#ifndef _editbutton_h__
#define _editbutton_h__

#include <QToolButton>

class EditButton : public QToolButton {
    Q_OBJECT

  public:
    EditButton(const QString &text, int id, QWidget *parent = nullptr);
    EditButton(const QString &text, const QString &toolTip, int id, QWidget *parent = nullptr);
    EditButton(const QString &text, const QString &toolTip, const QString &icon, int id, QWidget *parent = nullptr);
    virtual ~EditButton();

  signals:
    void buttonIdClicked(int id);

  public slots:
    void was_clicked();

  private:
    int buttonid;
};

#endif // _editbutton_h__
